## GoFontSel

GoFontSel

## Synopsis

    #define             GO_FONT_SEL_TYPE
    #define             GO_FONT_SEL                         (obj)
    #define             IS_GO_FONT_SEL                      (obj)
                        GOFontSel;
    GType               go_font_sel_get_type                (void);
    GtkWidget*          go_font_sel_new                     (void);
    void                go_font_sel_set_font                (GOFontSel *fs,
                                                             GOFont const *font);
    GOFontconst *       go_font_sel_get_font                (GOFontSel const *fs);
    void                go_font_sel_editable_enters         (GOFontSel *fs,
                                                             GtkWindow *dialog);
    void                go_font_sel_set_sample_text         (GOFontSel *fs,
                                                             char const *text);

## Description

## Details

### GO_FONT_SEL_TYPE

    #define GO_FONT_SEL_TYPE	(go_font_sel_get_type ())

### GO_FONT_SEL()

    #define GO_FONT_SEL(obj)	(G_TYPE_CHECK_INSTANCE_CAST((obj), GO_FONT_SEL_TYPE, GOFontSel))

`obj` : |

### IS_GO_FONT_SEL()

    #define IS_GO_FONT_SEL(obj)	(G_TYPE_CHECK_INSTANCE_TYPE((obj), GO_FONT_SEL_TYPE))

`obj` : |

### GOFontSel

    typedef struct _GOFontSel GOFontSel;

### go_font_sel_get_type ()

    GType               go_font_sel_get_type                (void);

Returns : |

### go_font_sel_new ()

    GtkWidget*          go_font_sel_new                     (void);

Returns : |

### go_font_sel_set_font ()

    void                go_font_sel_set_font                (GOFontSel *fs,
                                                             GOFont const *font);

`fs` : |
`font` : |

### go_font_sel_get_font ()

    GOFontconst *       go_font_sel_get_font                (GOFontSel const *fs);

`fs` : |
Returns : |

### go_font_sel_editable_enters ()

    void                go_font_sel_editable_enters         (GOFontSel *fs,
                                                             GtkWindow *dialog);

`fs` : |
`dialog` : |

### go_font_sel_set_sample_text ()

    void                go_font_sel_set_sample_text         (GOFontSel *fs,
                                                             char const *text);

`fs` : |
`text` : |